Endpoint
| field | value |
|---|
| method | POST |
| path | /api/integrations/v1/companies/{company_id}/customers/{customer_id}/restore |
| operationId | restore_customer_for_integration |
| auth | server to server integration client token |
| Idempotency-Key | required |
| lifecycle | stable |
| resource type | customer |
| data classification | confidential |
| scope risk | medium |
| write operation | yes |
Summary
ご利用者 の restore endpoint です。backend OpenAPI から同期しています。
Required scope
| scope | requirement |
|---|
| customers:write | required |
Operation contract
| field | value |
|---|
| bulk mode | - |
| bulk max items | - |
| bulk dry run | - |
| sync type | - |
| sync max limit | - |
| reconciliation | - |
Path parameters
| name | required | schema |
|---|
| company_id | required | integer |
| customer_id | required | integer |
Query parameters
Header parameters
| name | required | schema |
|---|
| Idempotency-Key | required | string |
Request body
| status | media type | schema |
|---|
| - | - | - |
| - | - | - |
Response
| status | media type | schema |
|---|
| 200 | application/json | SuccessResponse_IntegrationCustomerDetail_ |
Example
curl -X POST "https://api.anshin.care/api/integrations/v1/companies/{company_id}/customers/{customer_id}/restore" \
-H "Authorization: Bearer $ANSHIN_INTEGRATION_ACCESS_TOKEN" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
業務境界
- domain: ご利用者
- endpoint は各 backend の S2S scoped OpenAPI artifact から同期しています。
- company 境界は backend で検証します。
- write 系 endpoint は、画面用 API と endpoint を分け、処理本体は service 層で共通化します。